Subject: Re: bug#48579: 28.0.50; Spawning an emacs process using call-process results in inconsistent, behavior between GNU/Linux and macOS

From: Daniel Mendler <[email-masked]>
Date: Sat, 22 May 2021 15:10:46 +0200

On 5/22/21 3:01 PM, Alan Third wrote:
>> the problem here is if Emacs is started from a script. Would it be
>> possible to adjust the directory changing behavior, for example if
>> Emacs is started with the arguments `--daemon`, `--batch` or
>> `--script`? Is there another way to detect if the finder launched
>> Emacs, such that only in that case the directory changing to the
>> home directory takes place?
> 
> You can run with "-t", "-nw", "--chdir", "--batch" or "--script" to
> disable this behaviour.

I am currently using "--chdir" to work around this. If "--batch" also
opts out of this behavior I am actually happy, as I wrote in an earlier
mail. I am sorry that I could not test this, since I do not have a Mac
available.

For my purposes using "--batch" is probably the correct setting and I
should have used that right away. It is kind of unclear to me what other
settings are affected by "--batch"? It sets `noninteractive` for example.

Feel free to close this bug report then!